#main-wrapper {
    display: grid;
    flex: 1;
}

.dashboard-game {
    display: grid;
    grid-template-columns: 1fr 5fr 1fr;
    grid-template-areas:
        ". app .";
    grid-area: main;
}

.dashboard-game-list {
    display: flex;
    grid-area: app;
    /* height: 80vh; */
    max-height: 100%;
    overflow-x: hidden;
    background-color: var(--color-gray-300);
    overflow-y: auto;
    scrollbar-gutter: stable;
    flex-flow: column;
    border-radius: 10px;
    box-shadow: 0 0 20px 0 #e6e8ec;
    margin: 2rem 0;
}

.dashboard-game-list::after {
    filter: blur(10px);
    z-index: 1;
}

.dashboard-game-list::-webkit-scrollbar {
    width: .3em;
}

.dashboard-game-list::-webkit-scrollbar-thumb {
    background-color: var(--scroll-thumb);
}

.dashboard-game-list::-webkit-scrollbar-thumb:hover {
    background-color: var(--scroll-thumb-hover);
}

.game-playing {
    display: grid;
    grid-template-columns: repeat(auto-fill, minmax(260px, 1fr));
    width: 100%;
    align-content: start;
}

.empty-state {
    grid-column: 1/-1;
    display: flex;
    height: 80vh;
    /* min-height: 600px; */
    flex-direction: column;
    align-items: center;
    justify-content: center;

}

.empty-state .empty-icon {
    margin-bottom: 20px;
    filter: drop-shadow(20px 15px #c5cbda);
}

.empty-state .empty-text {
    font-size: 50px;
    color: var(--text-empty);
}

.board-wrapper {
    width: 100%;
    flex: 1;
}

.game-card {
    width: 100%;
    display: flex;
    box-sizing: border-box;
    padding: 5px;
    cursor: pointer;
}

.game-card-container {
    width: 100%;
    display: flex;
    box-sizing: border-box;
    padding: 5px;
}

.container-card-board:hover {
    box-shadow: 0 4px 6px -1px rgb(0 0 0 / 0.1), 0 2px 4px -2px rgb(0 0 0 / 0.1);
}

/* Media mobile */
@media (min-width: 320px) {
    #main-wrapper {
        grid-template-areas: "main";
        grid-template-columns: 1fr;
        flex: 1;
        overflow-y: auto;
    }

    .game-playing {
        display: grid;
        grid-template-columns: repeat(auto-fill, minmax(150px, 1fr));
        width: 100%;
        align-content: start;
    }

    .dashboard-game {
        grid-template-columns: 1fr;
        grid-template-areas: "app";
        margin: 0 1rem;
    }
}

@media (min-width: 768px) {
    #main-wrapper {
        grid-template-areas: ". . main . .";
        grid-template-columns: 1fr 1fr minmax(auto, 1600px) 1fr 1fr;
    }

    .game-playing {
        display: grid;
        grid-template-columns: repeat(auto-fill, minmax(250px, 1fr));
        width: 100%;
        align-content: start;
    }

    .dashboard-game {
        grid-template-columns: 1fr 6fr 1fr;
        grid-template-areas: ". app .";
        margin: 0 1rem;
        grid-area: main;
    }
}